> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Folder

> Create a new scenario folder



## OpenAPI

````yaml post /test_framework/v1/scenarios/create_folder/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v1/scenarios/create_folder/:
    post:
      tags:
        - test_framework
      description: Scenarios folder
      operationId: scenarios-folder-create_2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScenarioFolderCreate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ScenarioFolderCreate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ScenarioFolderCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScenarioFolder'
          description: ''
      security:
        - api_key: []
components:
  schemas:
    ScenarioFolderCreate:
      type: object
      properties:
        name:
          type: string
          maxLength: 100
        parent_path:
          type:
            - string
            - 'null'
        project_id:
          type: integer
      required:
        - name
        - project_id
    ScenarioFolder:
      type: object
      properties:
        name:
          type: string
          maxLength: 300
        path:
          type: string
          readOnly: true
          description: Human-readable path with case preservation
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - name
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````